Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: pdumodel::Circuit::Sensors Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::Circuit::Sensors Struct Reference

Circuit sensors. More...

## Public Attributes
sensors::NumericSensor | current
| RMS current sensor.
sensors::NumericSensor | activePower
| Active power sensor.
sensors::NumericSensor | reactivePower
| Reactive power sensor.
sensors::NumericSensor | apparentPower
| Apparent power sensor.
sensors::NumericSensor | powerFactor
| Power factor sensor.
sensors::NumericSensor | phaseAngle
| Phase angle sensor.
sensors::NumericSensor | displacementPowerFactor
| Displacement power factor.
sensors::NumericSensor | activeEnergy
| Active energy sensor.
sensors::NumericSensor | unbalancedCurrent
| Current unbalance sensor.
sensors::NumericSensor | crestFactor
| Crest factor sensor.
sensors::NumericSensor | activePowerDemand
| Active power demand.

## Detailed Description

Circuit sensors.

Definition at line 48 of file Circuit.idl.

## Member Data Documentation

## ◆ activeEnergy

sensors::NumericSensor pdumodel::Circuit::Sensors::activeEnergy

Active energy sensor.

Definition at line 56 of file Circuit.idl.

## ◆ activePower

sensors::NumericSensor pdumodel::Circuit::Sensors::activePower

Active power sensor.

Definition at line 50 of file Circuit.idl.

## ◆ activePowerDemand

sensors::NumericSensor pdumodel::Circuit::Sensors::activePowerDemand

Active power demand.

Definition at line 59 of file Circuit.idl.

## ◆ apparentPower

sensors::NumericSensor pdumodel::Circuit::Sensors::apparentPower

Apparent power sensor.

Definition at line 52 of file Circuit.idl.

## ◆ crestFactor

sensors::NumericSensor pdumodel::Circuit::Sensors::crestFactor

Crest factor sensor.

Definition at line 58 of file Circuit.idl.

## ◆ current

sensors::NumericSensor pdumodel::Circuit::Sensors::current

RMS current sensor.

Definition at line 49 of file Circuit.idl.

## ◆ displacementPowerFactor

sensors::NumericSensor pdumodel::Circuit::Sensors::displacementPowerFactor

Displacement power factor.

Definition at line 55 of file Circuit.idl.

## ◆ phaseAngle

sensors::NumericSensor pdumodel::Circuit::Sensors::phaseAngle

Phase angle sensor.

Definition at line 54 of file Circuit.idl.

## ◆ powerFactor

sensors::NumericSensor pdumodel::Circuit::Sensors::powerFactor

Power factor sensor.

Definition at line 53 of file Circuit.idl.

## ◆ reactivePower

sensors::NumericSensor pdumodel::Circuit::Sensors::reactivePower

Reactive power sensor.

Definition at line 51 of file Circuit.idl.

## ◆ unbalancedCurrent

sensors::NumericSensor pdumodel::Circuit::Sensors::unbalancedCurrent

Current unbalance sensor.

Definition at line 57 of file Circuit.idl.

The documentation for this struct was generated from the following file:

- Circuit.idl